cards

3 endpoints
GET/rest/admin/cards

Get list of cards

Description:

Returns the list of admin dashboard cards filtered by the specified card types.

Precondition:

The user must be an administrator.

Response:

Returns the list of cards matching the specified types.
Parameters
Query Parameters
type:in
Required
string[]

Comma-separated list of card types to retrieve.
content_encryption – Content encryption card.
email_json_migration – Email JSON migration card.
system_security_scanning – System security scanning card.
events_table_monitor – Events table monitor card.
appadmin_db – Application admin database card.
sysadmin_db – System admin database card.
sysadmin_hosts – System admin hosts card.
epg_warnings – EPG warnings card.
safe_edit_server_health – Safe edit server health card.


Responses

The list of cards has been successfully returned.

message
Required
string

Main message text of the card.

description
Required
string

Descriptive text providing additional detail for the card.

severity
Required
string

Severity level of the card.

type
Required
string

Type of card action.

url
string

URL the card action links to.

type
Required
string

Type of the card.

id
Required
string

Unique identifier of the card host.

name
Required
string

Display name of the card host.

data
object

Additional structured data associated with the card.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/admin/cards?type:in=VALUE" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/admin/cards"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
params = {
    "type:in": "VALUE",
}
response = requests.get(url, params=params, headers=headers)
print(response.json())
Responses
{ "message": "string", "description": "string", "severity": "string", "actions": [ { "type": "string", "url": "string" } ], "type": "string", "host": {} }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
GET/rest/admin/cards/details

Get card details

Description:

Returns the detailed information for a specific admin dashboard card.

Precondition:

The user must be an administrator with System or Application role.

Response:

Returns the details of the specified card.
Parameters
Query Parameters
type
Required
string

The type of card to retrieve details for.
content_encryption – Content encryption card.
email_json_migration – Email JSON migration card.
system_security_scanning – System security scanning card.
events_table_monitor – Events table monitor card.
appadmin_db – Application admin database card.
sysadmin_db – System admin database card.
sysadmin_hosts – System admin hosts card.
epg_warnings – EPG warnings card.
safe_edit_server_health – Safe edit server health card.

hostId
Optional
string

The unique identifier of the host to filter card data by.

volume
Optional
string

Filter results to a specific storage volume.

storageType
Optional
string

Filter results by storage type.
user_files – User file storage.
replication_files – Replication file storage.

limit
Optional
integer

Maximum number of error detail records to return. Error details are not returned if not set or set to 0.

offset
Optional
integer

Number of error detail records to skip before returning results, for pagination.


Responses

The card details have been successfully returned.

message
Required
string

Main message text of the card.

description
Required
string

Descriptive text providing additional detail for the card.

severity
Required
string

Severity level of the card.

type
Required
string

Type of card action.

url
string

URL the card action links to.

type
Required
string

Type of the card.

id
Required
string

Unique identifier of the card host.

name
Required
string

Display name of the card host.

data
object

Additional structured data associated with the card.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/admin/cards/details?type=VALUE" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/admin/cards/details"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
params = {
    "type": "VALUE",
}
response = requests.get(url, params=params, headers=headers)
print(response.json())
Responses
{ "message": "string", "description": "string", "severity": "string", "actions": [ { "type": "string", "url": "string" } ], "type": "string", "host": {} }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
POST/rest/admin/cards/actions

Perform an action on a card

Description:

Submits an action to perform on a specific admin dashboard card.

Precondition:

The user must be an administrator with System or Application role.

Response:

The action has been accepted and will be processed.
Request Body
action
Required
string

The action to perform on the card.
retry – Retry the failed operation.
delete – Delete the card or related records.

type
Required
string

The type of card to perform the action on.
content_encryption – Content encryption card.
email_json_migration – Email JSON migration card.
system_security_scanning – System security scanning card.
events_table_monitor – Events table monitor card.
appadmin_db – Application admin database card.
sysadmin_db – System admin database card.
sysadmin_hosts – System admin hosts card.
epg_warnings – EPG warnings card.
safe_edit_server_health – Safe edit server health card.

hostId
string

The unique identifier of the host associated with the card.

storageType
string

The storage type for the files to process.
user_files – User file storage.
replication_files – Replication file storage.

volume
string

The storage volume containing the files to process.

fileId
integer[]

List of file IDs to retry content encryption for.

emailId
integer[]

List of email IDs to retry migrating to JSON format.


Responses

The action has been accepted and is being processed.

Empty response body.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Not Found

Possible error codes: ERR_ENTITY_NOT_FOUND

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/admin/cards/actions" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "action": "retry",
         "type": "content_encryption",
         "hostId": "string",
         "storageType": "string",
         "volume": "string",
         "fileId": [
         1
       ]
       }'
Python
import requests

url = "https://{instance}.kiteworks.com/rest/admin/cards/actions"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "action": "retry",
  "type": "content_encryption",
  "hostId": "string",
  "storageType": "string",
  "volume": "string",
  "fileId": [
  1
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
// Request successful - No Body
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_NOT_FOUND", "message": "Entity does not exist" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body